
import React from 'react'
import { View, Image, Text } from '@tarojs/components'
import food from '@/assets/icons/ProCard/food.png'
import './style.less'

export default (props) => {
  const { type, style } = props

  const text = type === 'food' ? '美食' : '攻略';
  const icon = type === 'food' ? food : undefined;

  return (
    <View className='badge-tag-box' style={style}>
      <Image src={icon} className='badge-icon' />
      <Text>{text}</Text>
    </View>
  )
}
