
import React from 'react'
import { View, Image, Text } from '@tarojs/components'

import './style.less'

export default (props) => {
  const { icon, text, onClick } = props

  return (
    <View className='cpn-action cpn-icon-action'>
      <View onClick={onClick}>
        <Image src={icon} />
        <Text>{text}</Text>
      </View>
    </View>
  )
}
